#!/bin/sh

# This tests the modules loaded by rcS

test_func() {
  RESULT=`grep $1 /proc/modules`
  if [ -z "$RESULT" ]
  then
    echo "Module $1 not loaded!"
    exit 1
  fi
}

MODULES=""

for i in $MODULES; do
    test_func $i
done

echo "Modules ok."
exit 0
